SND_CTL_ADD(9)

NAME
snd_ctl_add - add the control instance to the card

SYNOPSIS

int snd_ctl_add(struct snd_card * card, struct snd_kcontrol * kcontrol);

ARGUMENTS

card
    the card instance

kcontrol
    the control instance to add

DESCRIPTION

Adds the control instance created via snd_ctl_new or snd_ctl_new1 to the given card. Assigns also an unique numid used for fast search.

It frees automatically the control which cannot be added.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT